## clustalw-mpi 0.13

=== Makefile ===
install: clustalw-mpi

clean:
	/bin/rm -f *.o

OBJECTS = clustalw-mpi.o interface.o sequence.o showpair.o malign.o malign_mpi_progressive.o \
        malign_mpi_pdiff.o util.o trees.o gcgcheck.o \
	prfalign_mpi_pdiff.o prfalign_mpi_progressive.o pairalign_new.o \
  	calcgapcoeff.o calcprf1.o calcprf2.o calctree.o \
        readmat.o alnscore.o random.o parallel_compare.o \
        prfalign.o stupid.o

HEADERS = general.h clustalw.h

CC	= mpicc 

TREES_FLAG = -DSERIAL_NJTREE

#
# Choose either dynamic or static scheduling for pairalign():
# the default is to use dynamic scheduling. You might also
# want to check PAIRALIGN_NCHUNK in clustalw.h. The
# larger this marco, the smaller the chunk size, default is 100.
#
PAIRALIGN_FLAG = -DDYNAMIC_SCHEDULING_PAIRALIGN 
#PAIRALIGN_FLAG = -DSTATIC_SCHEDULING_PAIRALIGN

CFLAGS  = -c -O3
#CFLAGS  = -c -O3 -funroll-all-loops
LFLAGS	= -lm 

clustalw-mpi: $(OBJECTS) 
	$(CC) -o $@ $(OBJECTS) $(LFLAGS)

interface.o : interface.c $(HEADERS) param.h
	$(CC) $(CFLAGS) $*.c

readmat.o : readmat.c $(HEADERS) matrices.h
	$(CC) $(CFLAGS) $*.c

trees.o : trees.c $(HEADERS) dayhoff.h
	$(CC) $(TREES_FLAG) $(CFLAGS) $*.c

pairalign_new.o : pairalign_new.c $(HEADERS)
	$(CC) $(PAIRALIGN_FLAG) $(CFLAGS) $*.c
parallel_compare.o : parallel_compare.c $(HEADERS) dayhoff.h
	$(CC) $(PAIRALIGN_FLAG) $(CFLAGS) $*.c



.c.o :
	$(CC) $(CFLAGS) $?

## clustalw-mpi 0.15

=== Makefile ===
--- 
+++ 
@@ -25,7 +25,7 @@
 PAIRALIGN_FLAG = -DDYNAMIC_SCHEDULING_PAIRALIGN 
 #PAIRALIGN_FLAG = -DSTATIC_SCHEDULING_PAIRALIGN
 
-CFLAGS  = -c -O3
+CFLAGS  = -c -g
 #CFLAGS  = -c -O3 -funroll-all-loops
 LFLAGS	= -lm

=== debian/changelog ===
clustalw-mpi (0.15-2) unstable; urgency=low

  * debian/control:
    - Fixed Vcs-Fields
    - Updated Standards-Version to 3.9.3 (no changes needed)
    - Homepage has changed
    - Build-Depends: mpi-default-dev
      Closes: #661740
    - Depends ${misc:Depends}
    - Dropped Build-Depends: cdbs
  * debian/source/format: 3.0 (quilt)
  * Debhelper compat level 8 (control+compat)
  * debian/copyright: Fixed DEP5 issues using
      cme fix dpkg-copyright
  * deleted debian/README.Debian because there is no point in just
    using different words for a package beeing in non-free as it is
    just said in debian/copyright
  * debian/watch: Deleted because not working
  * debian/rules:
    - Delete get-orig-source target because not working any more 
      because source vanished
    - Rewritten using dh
  * debian/upstream: bibliographic information
  * debian/README.source: document missing source code for current version

 -- Andreas Tille <tille@debian.org>  Thu, 01 Mar 2012 12:16:54 +0100

clustalw-mpi (0.15-1) unstable; urgency=low

  * New upstream release.
    - Fixes crash when the length of a sequence's name was longer than 60
      characters. You must re-define macro MAXNAMES in order to process FASTA
      file with sequence names longer than the default length.
  * Updated my email address.
  * Updated upstreams' email address.
  * Refreshed the manpage.
  * debian/copyright:
    - Lifted debian/copyright to the latest version, and licenced my
      contribution to this packaging work to "Same as CLUSTALW-MPI".
    - Added a disclaimer clarifying that this package is not part of the
      Debian operating system (requirement of Policy 3.8.0).
  * debian/patches/01_Makefile.patch removed.
    Its function is now carried out by debian/rules and debhelper.
  * debian/rules switched to CDBS.
  * debian/control:
    - Dropped build-dependancy on quilt and added one on cdbs.
    - Updated Standards-Version to 3.8.0.

 -- Charles Plessy <plessy@debian.org>  Sat, 05 Jul 2008 17:22:23 +0900

clustalw-mpi (0.14-1) unstable; urgency=low

  [ Andreas Tille ]
  * Put package under group maintenance of Debian-Med Team
    - DM-Upload-Allowed: Yes
    - Vcs tags
    - Use correct address as Uploader: Steffen Moeller <moeller@debian.org>
  * Switched to quilt
    - Move manpage to debian dir and added debian/manpages
    - Patched Makefile accordingly
    - removed useless t.sh
  * Standards-Version: 3.7.3 (no changes needed)
  * debhelper >= 5
  * Moved Homepage from long description to control fields
  * debian/copyright machine readable
  * Removed [Biology] from short description

  [ Charles Plessy ]
  * Bug fix version 0.14 released on Dec 19, 2005.
    See /usr/share/doc/clustalw-mpi/History for more details.
  * Updated debian/patches for the new upstream version.
  * Added myself to the Hall of Fame of debian/copyright
    and to the Uploaders in debian/control.
  * Updated homepage in debian/copyright and debian/control.
  * Added debian/watch file.
  * debian/clustalw-mpi.1: incremented version number.
  * debian/control:
    - Dropped versioned dependencies on lam packages, as they
      are satisfied even in Sarge.
    - Updated homepage of Clustal.

 -- Andreas Tille <tille@debian.org>  Sun, 06 Apr 2008 20:23:04 +0200

clustalw-mpi (0.13-3) unstable; urgency=low

  * Updated lam4 to 7.1.1 (Closes: Bug#329488)

 -- Steffen Moeller <moeller@pzr.uni-rostock.de>  Wed, 12 Oct 2005 15:07:41 +0200

clustalw-mpi (0.13-2) unstable; urgency=low

  * Updated lam3 to lam4 (Closes: #229939)

 -- Steffen Moeller <moeller@pzr.uni-rostock.de>  Mon, 30 Jun 2003 22:54:41 +0200

clustalw-mpi (0.13-1) unstable; urgency=low

  * Initial Release.  (Closes: #199837)
  * Upstream author was very supportive
     - provided man page
     - provided license information
  * Minimal changes to the makefile

 -- Steffen Moeller <moeller@pzr.uni-rostock.de>  Mon, 30 Jun 2003 22:54:41 +0200

=== debian/control ===
Source: clustalw-mpi
Section: non-free/science
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
DM-Upload-Allowed: yes
Uploaders: Steffen Moeller <moeller@debian.org>,
 Andreas Tille <tille@debian.org>,
 Charles Plessy <plessy@debian.org>
Build-Depends: debhelper (>= 8), mpi-default-dev
Standards-Version: 3.9.3
Homepage: http://www.bii.a-star.edu.sg/achievements/applications/clustalw/
Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/clustalw-mpi/trunk/
Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/clustalw-mpi/trunk/
XS-Autobuild: yes

Package: clustalw-mpi
Architecture: any
Enhances: clustalw
Suggests: seaview, clustalx
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: MPI-distributed global sequence alignment with ClustalW
 ClustalW is a popular tool for multiple sequence alignment. The
 alignment is achieved via three steps: pairwise alignment,
 guide-tree generation and progressive alignment. ClustalW-MPI is an
 MPI implementation of ClustalW. Based on
 version 1.82 of the original ClustalW, both the pairwise
 and progressive alignments are parallelized with MPI, a
 popular message passing programming standard. The
 pairwise alignments can be easily parallelized since the many
 alignments are time independent on each other. However
 the progressive alignments are essentially not parallelizable
 because of the time dependencies between each alignment.
 .
 Here the recursive parallelism paradigm is applied to the linear space
 profile-profile alignment algorithm. This approach is more time
 efficient on computers with distributed memory architecture.
 Traditional approach that relies on precomputing the profile-profile
 score matrix has also been implemented. Results shown the latter is indeed
 more appropriate for shared memory multiprocessor computer.
 .
 ClustalX is suggested for its support for local realignments, seaview
 is a versatile editor of alignments.
 .
 The original ClustalW/ClustalX can be found at
 URL: http://www.clustal.org/download/pre-2/

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh  $@

override_dh_clean:
	dh_clean
	rm -rf clustalw-mpi
